package com.bib.essensbestellungsverwaltung;

import java.util.List;

/**
 * A Child, used by Parent
 * one constructor is used to create new children the other is used to create existing children from database
 * @author Malte Schulze Hobeling
 */
public class Child {
    private long id;
    private String name;
    private String firstname;
    private Address address;
    private List<AllergySeverity> allergies;

    public Child(long id, String name, String firstname, Address address, List<AllergySeverity> allergies) {
        this.id = id;
        this.name = name;
        this.firstname = firstname;
        this.address = address;
        this.allergies = allergies;
    }
    public Child(String name, String firstname, Address address, List<AllergySeverity> allergies) {
        this.id = -1;
        this.name = name;
        this.firstname = firstname;
        this.address = address;
        this.allergies = allergies;
    }

    public String getName() {
        return name;
    }

    public String getFirstname() {
        return firstname;
    }

    public Address getAddress() {
        return address;
    }

    public long getId() {
        return id;
    }

    public List<AllergySeverity> getAllergies() {
        return allergies;
    }
}
