package com.bib.essensbestellungsverwaltung;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.control.Button;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.BorderPane;

import java.io.IOException;

public class ParentMenuController {

    @FXML
    BorderPane contentView;
    @FXML
    Button essensplanButton;
    @FXML
    Button kinderButton;
    @FXML
    Button bestellungButton;
    @FXML
    Button einstellungenButton;

    @FXML
    public void initialize() {
        changePage("menue-view.fxml");
        setButtonActive(essensplanButton);
    }


    @FXML
    public void onEssensplanClick(MouseEvent mouseEvent) {
        setButtonActive(essensplanButton);
        changePage("menue-view.fxml");
    }

    @FXML
    public void onKinderClick(MouseEvent mouseEvent) {
        setButtonActive(kinderButton);
        changePage("child-view.fxml");
    }

    @FXML
    public void onBestellungClick(MouseEvent mouseEvent) {
        setButtonActive(bestellungButton);
        changePage("orderHistory-view.fxml");
    }

    @FXML
    public void onEinstellungenClick(MouseEvent mouseEvent) {
        setButtonActive(einstellungenButton);
        changePage("menue-view.fxml");
    }

    @FXML
    public void onAusloggenClick(MouseEvent mouseEvent) throws IOException {
        StartViewApplication.changeScene("workerMenu-view.fxml");
    }

    private void changePage(String page) {
        try {
            Parent root = FXMLLoader.load(getClass().getResource(page));
            contentView.setCenter(root);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    private void setButtonActive(Button b) {
        einstellungenButton.getStyleClass().remove("active");
        kinderButton.getStyleClass().remove("active");
        bestellungButton.getStyleClass().remove("active");
        essensplanButton.getStyleClass().remove("active");
        b.getStyleClass().add("active");
    }
}
